Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.benchmarks.client
Class Operator

    java.lang.Object
      com.google.gwt.benchmarks.client.Operator

    public final class Operator

extends java.lang.Object

A mathematical operator used in `IntRange`s to indicate the stepping function.

Field Summary
`static Operator` | `ADD` The standard addition operator.
`static Operator` | `MULTIPLY` The standard multiplication operator.

Method Summary
`java.lang.String` | `toString()` Returns the textual representation of the `Operator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTIPLY

    public static Operator MULTIPLY

  The standard multiplication operator.

### ADD

    public static Operator ADD

  The standard addition operator.

Method Detail

### toString

    public java.lang.String toString()

  Returns the textual representation of the `Operator`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a non-null `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD